/*
  my25p40 Library Read & Write Word
*/

#include <SPI.h>
#include <my25p40.h>

#define FLASH_SS 8

#define TEST_ADR 0
#define TEST_VAL 65000

my25p40 flash(FLASH_SS);

void setup() {
  Serial.begin(115200);
  Serial.println(F("my25p40 Library Read & Write Word start..."));

  flash.initInfo();
  flash.erase();
  
  flash.readInfo(TEST_ADR, String(flash.readWord(TEST_ADR)));
  
  flash.writeWord(TEST_ADR, TEST_VAL);
  flash.writeInfo(TEST_ADR, String(TEST_VAL));
  
  flash.readInfo(TEST_ADR, String(flash.readWord(TEST_ADR)));
}

void loop() {
  
}
